<?php

	include('form_creator.class.php');
	
	
	$form = new form_creator('kontaktform');

	// lägg till input fält
	$form->add_element('namn',
		array(
			'required'	=> true,
			'type'		=> 'input',
			'class' 	=> 'input',
			'label'		=> 'Namn *',
			'validation'=> array('regex'=>'/.{2,}/','msg'=>'Du måste ange Namn')
		)
	);

	// lägg till input fält
	$form->add_element('telefon',
		array(
			'required' 	=> false,
			'type' 		=> 'input',
			'class' 	=> 'input',
			'label' 	=> 'Telefon'
		)
	);

	// lägg till input fält
	$form->add_element('epost',
		array(
			'required' 	=> true,
			'type' 		=> 'input',
			'class' 	=> 'input',
			'label' 	=> 'E-post *',
			'validation'=> array('filter'=>'email','msg'=>'Du måste ange en giltig E-post adress.')
		)
	);

	// lägg till select
	$form->add_element('arende',
		array(
			'type' 		=> 'select',
			'class' 	=> '',
			'default'	=> 'no3',
			'label' 	=> 'Ärende',
			'items' 	=> array(
				'no1' 		=>	'Ärende #1',
				'no2' 		=>	'Ärende #2',
				'no3' 		=>	'Ärende #3',
				'no4' 		=>	'Ärende #4',
				'no5' 		=>	'Ärende #5'
			)			
		)
	);

	// lägg till textarea
	$form->add_element('meddelande',
		array(
			'required' => true,
			'validation' => array('regex'=>'/.+/','msg'=>'Du måste fylla i ett meddelande'),
			'type' => 'textarea',
			'label' => 'Meddelande'
			)
	);

	// Kontrollera om post data finns och validera dem
	if($form->get_values() && $form->validate()) :

		// hämta en assoc array med el. label som key
		$data = $form->get_results('label');

		var_dump($data);
		
	else:

	// skriv ut felmeddelanden om det finns några.
	if($form->has_errors()) { echo $form->get_errors('<ul class="errors">','</ul>', '<li>','</li>'); }

	// rendera formulär
?>
<form method="post" action="" name="kontaktform" class="box">
	<div class="row">
		<?php $form->get_label('namn'); ?>
		<?php $form->get_element('namn'); ?>
	</div>
	<div class="row">
		<?php $form->get_label('epost'); ?>
		<?php $form->get_element('epost'); ?>
	</div>
	<div class="row">
		<?php $form->get_label('telefon'); ?>
		<?php $form->get_element('telefon'); ?>
	</div>
	<div class="row">
		<?php $form->get_label('arende'); ?>
		<?php $form->get_element('arende'); ?>
	</div>
	<div class="row">
		<?php $form->get_label('meddelande'); ?>
		<?php $form->get_element('meddelande'); ?>
	</div>	
	<div class="row">
		<input type="submit" name="submit" value="Skicka">
	</div>
</form>
<?php endif; ?>